<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <style>
        .column {
            float: left;
            width: 50%;
            padding: 10px;
        }
        
        .row:after {
            display: table;
            clear: both;
        }
    </style>
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-muted">Number Methods and Properties in JavaScript</h2>
        <hr />

        <!-- JavaScript Number Methods and Properties Example -->
        <div class="row">
            <div class="column">
                <h4 class="font-weight-normal"><mark>Number methods</mark> in javascript are the default methods that are a part of an object's definition.</h4>
                <div>&nbsp;</div>

                <table class="table table-bordered text-center">
                    <thead>
                        <tr>
                            <th scope="col">Method</th>
                            <th scope="col">Description</th>
                            <th scope="col">Syntax</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><code>toExponential()</code></td>
                            <td>This method converts a number to its exponential form.</td>
                            <td><code>myNumber.toExponential()</code></td>
                        </tr>
                        <tr>
                            <td><code>toFixed(x)</code></td>
                            <td>This method formats a number with a specific number of digits after the decimal point.</td>
                            <td><code>myNumber.toExponential(2)</code></td>
                        </tr>
                        <tr>
                            <td><code>toPrecision(x)</code></td>
                            <td>This method formats a number to <em>x</em> length.</td>
                            <td><code>myNumber.toPrecision(2)</code></td>
                        </tr>
                        <tr>
                            <td><code>toString()</code></td>
                            <td>This method returns a number in a string format.</td>
                            <td><code>myNumber.toString()</code></td>
                        </tr>
                        <tr>
                            <td><code>valueOf()</code></td>
                            <td>This method returns the primordial value of a number.</td>
                            <td><code>myNumber.valueOf()</code></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="column">
                <h4 class="font-weight-normal">Following table illustrates the <mark>Number Properties</mark> in javascript.</h4>
                <div>&nbsp;</div>

                <table class="table table-bordered text-center">
                    <thead>
                        <tr>
                            <th scope="col">Property</th>
                            <th scope="col">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><code>MAX_VALUE</code></td>
                            <td>Returns the largest number possible.</td>
                        </tr>
                        <tr>
                            <td><code>MIN_VALUE</code></td>
                            <td>Returns the smallest number possible.</td>
                        </tr>
                        <tr>
                            <td><code>NEGATIVE_INFINITY</code></td>
                            <td>Represents negative infinity.</td>
                        </tr>
                        <tr>
                            <td><code>NaN</code></td>
                            <td>Represents a <em>not-a-number</em> value.</td>
                        </tr>
                        <tr>
                            <td><code>POSITIVE_INFINITY</code></td>
                            <td>Represents infinity.</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>

</html>